package com.org.hktshop.K3Id.Decode;

import com.org.hktshop.K3Id.Base.K3IdItem;
import com.org.hktshop.K3Id.Base.M_Base;
import com.org.hktshop.K3Id.Base.M_Helper;
import com.org.hktshop.utils.StringUtils;

public class M_BR extends K3IdItem implements M_Base {
    @Override
    public String DeCodeK3(String[] inArr) {
        if (StringUtils.isNull(inArr[2]))inArr[2] = "XX";
        inArr[3] = M_Helper.PackToCode(inArr[3]);
        if (StringUtils.isNull(inArr[4]))inArr[4] = "XX";
        if (StringUtils.isNull(inArr[5]))inArr[5] = "XX";
        inArr[6] = M_Helper.BrandToCode(inArr[6]);


        return DeCodeToK3(inArr,3);
    }
}
